import com.vividsolutions.jts.io.*;
import com.vividsolutions.jts.operation.buffer.*;
import com.vividsolutions.jts.operation.overlay.snap.*;
import com.vividsolutions.jts.geom.*;

public class SnapTest { 

   public static void main(String[] args) throws ParseException { 

      String wkt1 = new String( "LINESTRING(0 0, 10 0)" );
      String wkt2 = new String( "LINESTRING(0 0, 9 0, 10 0, 11 0)" );

      WKTReader wktr = new WKTReader();

      Geometry g1 = wktr.read( wkt1 );
      Geometry g2 = wktr.read( wkt2 );

      GeometrySnapper snapper = new GeometrySnapper( g1 );
      Geometry ret = snapper.snapTo(g2, 2);

      WKTWriter wktw = new WKTWriter();
    
      System.out.println("GOT: " + wktw.write(ret));
   }
}
